package com.themes.fancy.keyboard.keyboard.viewui

import android.content.Intent
import android.os.Bundle
import android.os.CountDownTimer
import android.widget.ProgressBar
import androidx.appcompat.app.AppCompatActivity
import com.themes.fancy.keyboard.keyboard.R
import com.themes.fancy.keyboard.keyboard.helper.Common
import kotlin.math.roundToInt

class LaunchActivity : AppCompatActivity() {

    private lateinit var progressBar: ProgressBar
    private var countTime = 1000L
    private lateinit var timer: CountDownTimer

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.layout_launch)
        Common.initFullScreen(this)
        init()
        findView()
    }

    private fun init() {

        timer = object : CountDownTimer(countTime, 100) {
            override fun onTick(millisUntilFinished: Long) {
                val percentage: Float = 100 - millisUntilFinished.toFloat() / countTime * 100
                val round = percentage.roundToInt()
                progressBar.progress = round
            }

            override fun onFinish() {
                progressBar.progress = 100
                toHome()
            }

        }
        timer.start()

    }


    private fun findView() {
        progressBar = findViewById<ProgressBar>(R.id.nova_progress)
    }


    private fun toHome() {
        startActivity(Intent(this, NewActivity::class.java))
        finish()
    }

    override fun onDestroy() {
        super.onDestroy()
        timer.cancel()
    }


}